org.eclipse.viatra.integration.zest.viewer

## Interface INestedGraphContentProvider

- All Superinterfaces:
    org.eclipse.jface.viewers.IContentProvider
  All Known Subinterfaces:
    IGraphEdgeContentProvider, IGraphEntityRelationshipContentProvider
  All Known Implementing Classes:
    ZestContentProvider

      public interface INestedGraphContentProvider
      extends org.eclipse.jface.viewers.IContentProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getNestedGraphNodes(java.lang.Object node)` Returns the content elements representing the nodes within the graph that is nested inside the node represented by the given content element.
    `java.lang.Object[]` | `getNodes()` Returns all content elements which represent nodes on the first level of the graph.
    `boolean` | `hasNestedGraph(java.lang.Object node)` Determines whether the node represented by the given content element has nested children.

    - ### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

      `dispose, inputChanged`

- - ### Method Detail

    - #### getNodes

          java.lang.Object[] getNodes()

      Returns all content elements which represent nodes on the first level of the graph. If no nodes exist, either an empty array or `null` is returned.
      Returns:
        All content elements which represent nodes on the first level of the graph.

    - #### getNestedGraphNodes

          java.lang.Object[] getNestedGraphNodes(java.lang.Object node)

      Returns the content elements representing the nodes within the graph that is nested inside the node represented by the given content element. If the node does not contain a nested graph, either an empty array or `null` is returned.
      Parameters:
        `node` - A content element that represents a node.
      Returns:
        The content elements representing the nodes within the graph that is nested inside the node represented by the given content element.

    - #### hasNestedGraph

          boolean hasNestedGraph(java.lang.Object node)

      Determines whether the node represented by the given content element has nested children.
      Parameters:
        `node` - A content element that represents a node, according to the `getNodes()` method.
      Returns:
        `true` when the node represented by the given content element has nested children, otherwise `false`.